
# --------------------------------------
#   zorg_17
#   65f6971a7bcf6ed6canv
__canvas_id__ = '65f6971a7bcf6ed6'
# __version__ = TODO: add this
# --------------------------------------
from floe import FP

from NeoPixel import NeoPixel
from SDCard import SDCard
from DigitalOutput import DigitalOutput
from GuiCheckbox import GuiCheckbox
from DigitalInput import DigitalInput
from WebsocketServer import WebsocketServer
from HbtLed import HbtLed
from Zorg import Zorg
from ESP32Core import ESP32Core
from CANBus import CANBus
def setup(iris):
  CANBus(name="CANBus", pid=6545, rx=16, tx=4, adr=10, bus=0, baud=250000, rx_queue=25, terminal_debug=False, debug=False, active=True, bcast=False, iris=iris)
  DigitalInput(name="button_a", pid=17754, pin=34, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=True, active=True, bcast=False, iris=iris)
  DigitalInput(name="button_b", pid=12955, pin=26, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="button_c", pid=12806, pin=14, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="button_d", pid=4163, pin=12, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="function_button", pid=2276, pin=36, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalOutput(name="led_a", pid=5558, pin=33, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  DigitalOutput(name="led_b", pid=59323, pin=25, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  DigitalOutput(name="led_c", pid=52957, pin=21, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  DigitalOutput(name="led_d", pid=55135, pin=22, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  ESP32Core(name="ESP32Core", pid=6074, wifi=True, hbt_led=FP(55894), neo_status=FP(47403), function_button=FP(2276), bus=FP(6545), zorg=FP(21885), webserver=FP(43499), debug=False, active=True, bcast=False, iris=iris)
  GuiCheckbox(name="GuiCheckbox", pid=59197, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  HbtLed(name="hbt_led", pid=55894, pin=15, delay=1000, datatype="int", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name="neo_status", pid=47403, pin=17, number_of_pixels=1, animation=0, delay=200, animations=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  SDCard(name="SDCard", pid=25805, slot=2, auto_mount=False, debug=False, active=True, bcast=False, iris=iris)
  WebsocketServer(name="WebsocketServer", pid=43499, datatype="null", debug=False, active=True, bcast=False, iris=iris)
  Zorg(name="Zorg", pid=21885, debug=False, active=True, bcast=False, iris=iris)
  iris.add_hots({"5558": [59197], "52957": [12806], "55135": [4163]})

